/**
 * Plugin Name: DPD France
 * Plugin URI: http://www.dpd.fr/ecommerce
 * Description: Module de livraison DPD pour WooCommerce 2 & 3 (France uniquement)
 * Version: 5.2.9
 * Author: DPD France S.A.S.
 * Author URI: http://www.dpd.fr/
 * License: Open Software License (OSL 3.0) - http://opensource.org/licenses/osl-3.0.php
 */

var $ = jQuery.noConflict(); 

$(document).ajaxComplete(function() {
    if ($('.shipping_method:checked').val() == 'dpdfrance_predict' || $('.shipping_method option:selected').val() == 'dpdfrance_predict' || $('.shipping_method:hidden').val() == 'dpdfrance_predict')
        valideGsm();
    if ($('#shipping_method_0_dpdfrance_predict').is(':checked'))
        valideGsm();
    $('#shipping_method_0_dpdfrance_predict').change(function(){
        valideGsm();
    });
});

$(document).ready(function() {
    $("#billing_phone").keyup(function() {
        if ($('.shipping_method:checked').val() == 'dpdfrance_predict' || $('.shipping_method option:selected').val() == 'dpdfrance_predict' || $('.shipping_method:hidden').val() == 'dpdfrance_predict')
            valideGsm();
        if ($('#shipping_method_0_dpdfrance_predict').is(':checked'))
            valideGsm();
    });
    $('#shipping_method_0_dpdfrance_predict').change(function(){
        valideGsm();
    });
});

/* In_array JS function implementation */
function dpdfrance_in_array(search, array)
{
    for (i = 0; i < array.length; i++) {
        if (array[i] == search)
            return true;
    }
    return false;
}

/* Check European GSM validity */
function valideGsm(){
    var gsmDest = document.getElementById('billing_phone');

    var gsm_fr = new RegExp(/^((\+33|0)[67])(?:[ _.-]?(\d{2})){4}$/);
	var gsm_de = new RegExp(/^(\+|00)49(\s?\d{10})$/);
	var gsm_be = new RegExp(/^(\+|00)32(\s?\d{8})$/);
	var gsm_at = new RegExp(/^(\+|00)43(\s?\d{9})$/);
	var gsm_uk = new RegExp(/^(\+|00)447([3456789]\d)(\s?\d{7})$/);
	var gsm_nl = new RegExp(/^(\+|00)31(\s?\d{9})$/);
	var gsm_pt = new RegExp(/^(\+|00)351(\s?\d{9})$/);
	var gsm_ei = new RegExp(/^(\+|00)353(\s?\d{8})$/);
	var gsm_es = new RegExp(/^(\+|00)34(\s?\d{9})$/);
	var gsm_it = new RegExp(/^(\+|00)39(\s?\d{8,11})$/);
	var gsm_sw = new RegExp(/^(\+|00)41(\s?\d{9})$/);
	var gsm_hr = new RegExp(/^(\+|00)385(\s?\d{8})$/);
	var gsm_ee = new RegExp(/^(\+|00)372(\s?\d{7})$/);
	var gsm_lt = new RegExp(/^(\+|00)370(\s?\d{8})$/);
	var gsm_pl = new RegExp(/^(\+|00)48(\s?\d{9})$/);
	var gsm_cz = new RegExp(/^(\+|00)420(\s?\d{9})$/);
	var gsm_sk = new RegExp(/^(\+|00)421(\s?\d{9})$/);
	var gsm_si = new RegExp(/^(\+|00)386(\s?\d{8})$/);
	var gsm_lu = new RegExp(/^(\+|00)352(\s?\d{8})$/);
	var gsm_le = new RegExp(/^(\+|00)371(\s?\d{8})$/);
	var gsm_hu = new RegExp(/^(\+|00)36(\s?\d{8})$/);

    var numbers = gsmDest.value.substr(-6);
    var pattern = new Array('000000','111111','222222','333333','444444','555555','666666','777777','888888','999999', '123456', '234567', '345678', '456789');

    if ((gsm_fr.test(gsmDest.value)
	|| gsm_lu.test(gsmDest.value)		
    || gsm_it.test(gsmDest.value)
    || gsm_es.test(gsmDest.value)
    || gsm_ei.test(gsmDest.value)
    || gsm_pt.test(gsmDest.value)
    || gsm_nl.test(gsmDest.value)
    || gsm_uk.test(gsmDest.value)
    || gsm_at.test(gsmDest.value)
    || gsm_de.test(gsmDest.value)
    || gsm_be.test(gsmDest.value)
	|| gsm_sw.test(gsmDest.value)
    || gsm_hr.test(gsmDest.value)
    || gsm_ee.test(gsmDest.value)
    || gsm_lt.test(gsmDest.value)
    || gsm_pl.test(gsmDest.value)
    || gsm_cz.test(gsmDest.value)
    || gsm_sk.test(gsmDest.value)
	|| gsm_si.test(gsmDest.value)
	|| gsm_lu.test(gsmDest.value)
	|| gsm_le.test(gsmDest.value)
	|| gsm_hu.test(gsmDest.value))	
    && !dpdfrance_in_array(numbers, pattern)) {
        // GSM OK
        $(".order-total").next('tr').remove();
        $(".order-total").after('<tr><td colspan="2"><div class="okmsg" id="dpdfrance_predict_div">{gsm_ok}</div></td></tr>'.replace('{gsm_ok}', objectL10n.gsm_ok));
        $("#place_order").removeAttr('disabled');
        $('#place_order').removeClass('button').addClass('button alt');
        return true;
    } else {
        // GSM NOK
        $(".order-total").next('tr').remove();
        $(".order-total").after('<tr><td colspan="2"><div class="warnmsg" id="dpdfrance_predict_div">{gsm_ko}</div></td></tr>'.replace('{gsm_ko}', objectL10n.gsm_ko));
        $("#place_order").prop('disabled', 'disabled');
        $('#place_order').removeClass('button alt').addClass('button');
        return false;
    }
}